Public Member Functions | List of all members
clan::NetworkConditionVariable Class Reference

Condition variable that also awaken on network events. More...

`#include <network_condition_variable.h>`

## Public Member Functions
| NetworkConditionVariable ()
void | notify ()
| Awakens any thread waiting for event changes. More...
template<typename Lock >
bool | wait (Lock &lock, int count, NetworkEvent **events, int timeout=-1)
| Waits for event changes or until notify is called. More...

## Detailed Description

Condition variable that also awaken on network events.

## Constructor & Destructor Documentation

clan::NetworkConditionVariable::NetworkConditionVariable | ( |  | ) |

## Member Function Documentation

void clan::NetworkConditionVariable::notify | ( |  | ) |

Awakens any thread waiting for event changes.

template<typename Lock >

bool clan::NetworkConditionVariable::wait | ( | Lock & | lock,
|  | int | count,
|  | NetworkEvent ** | events,
|  | int | timeout = `-1`
| ) |  |
| inline

Waits for event changes or until notify is called.

The documentation for this class was generated from the following file:

- network_condition_variable.h